Loading...
Searching...
No Matches
Matrix Add
Math Functions

## Functions

ne10_result_t | ne10_addmat_4x4f_c (ne10_mat4x4f_t *dst, ne10_mat4x4f_t *src1, ne10_mat4x4f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_addmat_4x4f_neon (ne10_mat4x4f_t *dst, ne10_mat4x4f_t *src1, ne10_mat4x4f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_addmat_4x4f_asm (ne10_mat4x4f_t *dst, ne10_mat4x4f_t *src1, ne10_mat4x4f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_addmat_3x3f_c (ne10_mat3x3f_t *dst, ne10_mat3x3f_t *src1, ne10_mat3x3f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_addmat_3x3f_neon (ne10_mat3x3f_t *dst, ne10_mat3x3f_t *src1, ne10_mat3x3f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_addmat_3x3f_asm (ne10_mat3x3f_t *dst, ne10_mat3x3f_t *src1, ne10_mat3x3f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_addmat_2x2f_c (ne10_mat2x2f_t *dst, ne10_mat2x2f_t *src1, ne10_mat2x2f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_addmat_2x2f_neon (ne10_mat2x2f_t *dst, ne10_mat2x2f_t *src1, ne10_mat2x2f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_addmat_2x2f_asm (ne10_mat2x2f_t *dst, ne10_mat2x2f_t *src1, ne10_mat2x2f_t *src2, ne10_uint32_t count)

## Variables

ne10_result_t(* | ne10_addmat_4x4f )(ne10_mat4x4f_t *dst, ne10_mat4x4f_t *src1, ne10_mat4x4f_t *src2, ne10_uint32_t count)
| Vector addition of two 4x4 matrixs.
ne10_result_t(* | ne10_addmat_3x3f )(ne10_mat3x3f_t *dst, ne10_mat3x3f_t *src1, ne10_mat3x3f_t *src2, ne10_uint32_t count)
| Vector addition of two 3x3 matrixs.
ne10_result_t(* | ne10_addmat_2x2f )(ne10_mat2x2f_t *dst, ne10_mat2x2f_t *src1, ne10_mat2x2f_t *src2, ne10_uint32_t count)
| Vector addition of two 2x2 matrixs.

## Detailed Description

  These functions implement the matrix add operation for float data type.

## Function Documentation

## ne10_addmat_2x2f_c()

ne10_result_t ne10_addmat_2x2f_c | ( | ne10_mat2x2f_t * | dst,
|  | ne10_mat2x2f_t * | src1,
|  | ne10_mat2x2f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 37 of file NE10_addmat.c.

## ne10_addmat_2x2f_neon()

ne10_result_t ne10_addmat_2x2f_neon | ( | ne10_mat2x2f_t * | dst,
|  | ne10_mat2x2f_t * | src1,
|  | ne10_mat2x2f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 31 of file NE10_addmat.neon.c.

## ne10_addmat_3x3f_c()

ne10_result_t ne10_addmat_3x3f_c | ( | ne10_mat3x3f_t * | dst,
|  | ne10_mat3x3f_t * | src1,
|  | ne10_mat3x3f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 49 of file NE10_addmat.c.

## ne10_addmat_3x3f_neon()

ne10_result_t ne10_addmat_3x3f_neon | ( | ne10_mat3x3f_t * | dst,
|  | ne10_mat3x3f_t * | src1,
|  | ne10_mat3x3f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 36 of file NE10_addmat.neon.c.

## ne10_addmat_4x4f_c()

ne10_result_t ne10_addmat_4x4f_c | ( | ne10_mat4x4f_t * | dst,
|  | ne10_mat4x4f_t * | src1,
|  | ne10_mat4x4f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 67 of file NE10_addmat.c.

## ne10_addmat_4x4f_neon()

ne10_result_t ne10_addmat_4x4f_neon | ( | ne10_mat4x4f_t * | dst,
|  | ne10_mat4x4f_t * | src1,
|  | ne10_mat4x4f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 41 of file NE10_addmat.neon.c.

## Variable Documentation

## ne10_addmat_2x2f

ne10_result_t(* ne10_addmat_2x2f) (ne10_mat2x2f_t *dst, ne10_mat2x2f_t *src1, ne10_mat2x2f_t *src2, ne10_uint32_t count) | ( | ne10_mat2x2f_t * | dst,
|  | ne10_mat2x2f_t * | src1,
|  | ne10_mat2x2f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Vector addition of two 2x2 matrixs.

This function point could be pointed to one of ne10_addmat_2x2f_c, ne10_addmat_2x2f_neon and ne10_addmat_2x2f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src1 | Pointer to the first source array
  [in] | src2 | Pointer to the second source array
  [in] | count | The number of items in the input arrays

Definition at line 284 of file NE10_init_math.c.

## ne10_addmat_3x3f

ne10_result_t(* ne10_addmat_3x3f) (ne10_mat3x3f_t *dst, ne10_mat3x3f_t *src1, ne10_mat3x3f_t *src2, ne10_uint32_t count) | ( | ne10_mat3x3f_t * | dst,
|  | ne10_mat3x3f_t * | src1,
|  | ne10_mat3x3f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Vector addition of two 3x3 matrixs.

This function point could be pointed to one of ne10_addmat_3x3f_c, ne10_addmat_3x3f_neon and ne10_addmat_3x3f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src1 | Pointer to the first source array
  [in] | src2 | Pointer to the second source array
  [in] | count | The number of items in the input arrays

Definition at line 285 of file NE10_init_math.c.

## ne10_addmat_4x4f

ne10_result_t(* ne10_addmat_4x4f) (ne10_mat4x4f_t *dst, ne10_mat4x4f_t *src1, ne10_mat4x4f_t *src2, ne10_uint32_t count) | ( | ne10_mat4x4f_t * | dst,
|  | ne10_mat4x4f_t * | src1,
|  | ne10_mat4x4f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Vector addition of two 4x4 matrixs.

This function point could be pointed to one of ne10_addmat_4x4f_c, ne10_addmat_4x4f_neon and ne10_addmat_4x4f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src1 | Pointer to the first source array
  [in] | src2 | Pointer to the second source array
  [in] | count | The number of items in the input arrays

Definition at line 286 of file NE10_init_math.c.